Get Account Info

Use this API to retrieve and show user's account information.


Endpoints: /api/v1/checkout/users/{USER_ID}/gopay

HTTP Method: GET


Response Body

{
  "user_id": "testww1",
  "account_id": "bb2fb8cc-d754-4390-b62f-01fb3fc1517c",
  "account_status": "ENABLED",
  "balance": "8000000.00",
  "phone_number": "8123456789",
  "country_code": "62"
}
{
    "error_messages": [
        "account not found"
    ],
    "locale": "en"
}
{
    "error_messages": [
        "account not found"
    ],
    "locale": "en"
}
JSON AttributeDescriptionType
user_idA unique identifier owned by merchant that represents a customerString
account_statusStatus of the account.
Possible values are PENDING, EXPIRED, ENABLED, DISABLED
String
account_idCustomer account id to be used for payment.String
balanceCurrent balance of the accountString
phone_numberCustomer phone number, without country_codeString
country_codeCustomer country codeString